Name:                reflections
Version:             0.9.12
Release:             1
Summary:             Java run-time meta-data analysis
License:             WTFPL
URL:                 https://github.com/ronmamo/reflections
Source0:             https://github.com/ronmamo/reflections/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:       maven-local 
BuildRequires:       mvn(com.google.code.gson:gson) mvn(dom4j:dom4j)
BuildRequires:       mvn(javax.servlet:javax.servlet-api) mvn(junit:junit)
BuildRequires:       mvn(org.javassist:javassist)
BuildRequires:       mvn(org.jsr-305:ri) mvn(org.slf4j:slf4j-api) mvn(org.slf4j:slf4j-simple)
BuildArch:           noarch
%description
A Java run-time meta-data analysis, in the spirit of Scannotations
Reflections scans your class-path, indexes the meta-data, allows you
to query it on run-time and may save and collect that information
for many modules within your project.
Using Reflections you can query your meta-data such as:
* get all sub types of some type
* get all types/methods/fields annotated with some annotation,
  w/o annotation parameters matching
* get all resources matching matching a regular expression

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_change_dep :servlet-api :javax.servlet-api:3.1.0
%pom_add_dep org.jsr-305:ri
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYING.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt

%changelog
* Fri Jul 22 2022 wangkai <wangkai385@h-partners.com> - 0.9.12-1
- Update to 0.9.12

* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 0.9.10-1
- Package init
